g++-4.2

Compiler wrapper to enable security hardening flags

Install

All systems
curl cmd.cat/g++-4.2.sh
Debian Debian
apt-get install hardening-wrapper
Ubuntu
apt-get install hardening-wrapper
Raspbian
apt-get install hardening-wrapper

hardening-wrapper

Compiler wrapper to enable security hardening flags

Replaces gcc, g++, and ld with wrapper scripts that set security hardening compilation flags, as an alternative to changing gcc specs. Enabled when DEB_BUILD_HARDENING=1 is set.